#ifndef __CLUSTERINFO_H__
#define __CLUSTERINFO_H__

#include "IntArray.h"

class ClusterInfo
   {
   public:
      int      markers;
      IntArray markerIds;
      IntArray alleleCounts;

      ClusterInfo();
      ClusterInfo(int nMarkers);

      void SetMarkerCount(int count);
      void UpdateAlleleCounts();

      ClusterInfo & operator = (ClusterInfo & rhs);
   };

#endif

