#include "Houdini.h"

class MingYao: public FuzzyInheritanceTree
   {
   public:
      int     affection;
      double  pDA, pDa, pdA, pda;
      double  fDD, fDd, fdd;

   protected:
      virtual void  FillPenetranceMatrix(Mantra & m);

      virtual void  UpdateAlleles(int founder, int carrier);
      virtual void  UndoAlleles(int founder, int carrier);

      virtual int   CountAlleles(Mantra & m);

      virtual bool  isPhenotyped(Mantra & m, int who);

      virtual double GetAlleleFrequency(int founder, int allele);
      virtual double JointProbability(Mantra & m);
   };
